

# GetApplication
<a name="API_GetApplication"></a>

Retrieves information about an application.

## Request Syntax
<a name="API_GetApplication_RequestSyntax"></a>

```
POST /GetApplication HTTP/1.1
Content-type: application/json

{
   "applicationId": "string"
}
```

## URI Request Parameters
<a name="API_GetApplication_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetApplication_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [applicationId](#API_GetApplication_RequestSyntax) **   <a name="securityagent-GetApplication-request-applicationId"></a>
The unique identifier of the application to retrieve.  
Type: String  
Required: Yes

## Response Syntax
<a name="API_GetApplication_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "applicationId": "string",
   "applicationName": "string",
   "defaultKmsKeyId": "string",
   "domain": "string",
   "idcConfiguration": { 
      "idcApplicationArn": "string",
      "idcInstanceArn": "string"
   },
   "roleArn": "string"
}
```

## Response Elements
<a name="API_GetApplication_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationId](#API_GetApplication_ResponseSyntax) **   <a name="securityagent-GetApplication-response-applicationId"></a>
The unique identifier of the application.  
Type: String

 ** [applicationName](#API_GetApplication_ResponseSyntax) **   <a name="securityagent-GetApplication-response-applicationName"></a>
The name of the application.  
Type: String

 ** [defaultKmsKeyId](#API_GetApplication_ResponseSyntax) **   <a name="securityagent-GetApplication-response-defaultKmsKeyId"></a>
The identifier of the default AWS KMS key used to encrypt data for the application.  
Type: String

 ** [domain](#API_GetApplication_ResponseSyntax) **   <a name="securityagent-GetApplication-response-domain"></a>
The domain associated with the application.  
Type: String

 ** [idcConfiguration](#API_GetApplication_ResponseSyntax) **   <a name="securityagent-GetApplication-response-idcConfiguration"></a>
The IAM Identity Center configuration for the application.  
Type: [IdCConfiguration](API_IdCConfiguration.md) object

 ** [roleArn](#API_GetApplication_ResponseSyntax) **   <a name="securityagent-GetApplication-response-roleArn"></a>
The Amazon Resource Name (ARN) of the IAM role associated with the application.  
Type: String

## Errors
<a name="API_GetApplication_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

## See Also
<a name="API_GetApplication_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/securityagent-2025-09-06/GetApplication) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/securityagent-2025-09-06/GetApplication) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/securityagent-2025-09-06/GetApplication) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/securityagent-2025-09-06/GetApplication) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/securityagent-2025-09-06/GetApplication) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/securityagent-2025-09-06/GetApplication) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/securityagent-2025-09-06/GetApplication) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/securityagent-2025-09-06/GetApplication) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/securityagent-2025-09-06/GetApplication) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/securityagent-2025-09-06/GetApplication) 